Search the Community
Showing results for tags 'ucs problem'.
-
ACAD 2010 Drawing ellipse in a 3D 3point plane?
just_jr posted a topic in AutoCAD Drawing Management & Output
I have a database of the 50 stars closest to the Sun. I wrote a program that translates Right Ascension and Declination into X,Y,Z coordinates on the "normal" UCS view. I created all stars in 3D, distances to scale (1m = 1Ly), stars as spheres 0.1Ly radius (so they are visible !) Now, I need to draw the elliptic trajectory of a rogue "planet", starting near Lacaille8760 (6.456, 7.664, -8.076), passing near the EZAquarii, A, B & C, located at 3.557, 10.268, -2.973, to get a slingshot that will launch the planetoid towards the Sun (0,0,0). The elliptic trajectory should be a 3d "tube" a few pixels dia. Problem: How to set the screen coordinates to the plane formed by the 3 points above, so the ellipse can be drawn on a plane ? I changed the UCS to 3 points, and the screen shows the three stars on the same plane, but when drawing the ellipse, it is to the original UCS... I'll make the ACAD files available for download at http://r44.web2coders.com, "TECH" tab. Once created, the drawing is used in R14 format to be imported in 3DSMax8 to get easier views and animation. Any help welcome! -
Hi all! I have been learning lisp routines and am struggling to work out the one I need to rotate my model space. I have solved the routine for getting back to the original ucs setting: (defun c:EU nil (command "ucs" "w" "plan" "w") (princ)) The one that isn't working I think should look like this: (defun c:UE nil (command "ucs" "e" "plan" "current") (princ)) However, this routine fails to rotate to the current UCS despite registering the selected ucs. Thank you
- 5 replies
-
- ucs
- model space
-
(and 1 more)
Tagged with:
-
Try to check the image, porblem regarding the UCS. I will modify some of the file that was given to me, when I open the file, the axis is like this (the one drawn below, with the yellow X and Y axis), so i tried to change it using the UCS command, so I already changed the axis (same as the drawing below, the original axis.) BUT!, when the axis is already changed, the cursor turns like that (also see the image below), so How can I change my cursor? Who knows about this one, need your help, thanks
-
By mistake someone was defining on my team a UCS that has a "Z" axis not perpendicular to the World UCS, so everything that was drawn under this UCS is wrong and therefore not possible to fillet lines or flatten text and it is a major problem. All I need for the time being is an autolisp function that identifies defined UCS with this mistake and delete it. Apparently trying to filter through Group Codes with a dotted pair is not supported, so I don't know how to make it work due to the fact I have many drawings to fix. Any suggestion? Thanks in advance